Download it now!
Bug 119410 - Menubar: combine mirror and rotate
Summary: Menubar: combine mirror and rotate
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0
Keywords: needsUXEval
Depends on:
Blocks: Context-Menu
  Show dependency treegraph
 
Reported: 2018-08-21 22:35 UTC by andreas_k
Modified: 2018-11-19 09:48 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Flip and Rotate in Menubar and Context menu (128.37 KB, image/png)
2018-08-21 22:35 UTC, andreas_k
Details
ToggleObjectRotateMode in contextmenu (17.65 KB, image/png)
2018-08-26 13:36 UTC, andreas_k
Details
screenshot (51.78 KB, image/jpeg)
2018-11-19 09:44 UTC, BogdanB
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andreas_k 2018-08-21 22:35:51 UTC
Created attachment 144356 [details]
Flip and Rotate in Menubar and Context menu

The writer menubar format contain Flip and Rotate entries. The writer context menu combine them to Rotate or Flip.

To shrink the format menubar and for better consistently I would recommand to combine them in the menubar also. In addition to that it's not the most common task for writer.
Comment 1 Heiko Tietze 2018-08-22 18:09:28 UTC
+1 from my side but please more opinions since we shouldn't vandalize the menus.
Comment 2 andreas_k 2018-08-26 13:36:47 UTC
Created attachment 144452 [details]
ToggleObjectRotateMode in contextmenu

Also in context menu Rotate or Flip is an big advantage cause you can add there the .uno:ToggleObjectRotateMode functionality
Comment 3 Thomas Lendo 2018-08-27 21:30:26 UTC
I don't see neither a Flip nor a Rotate context menu entry on shapes.

Version: 6.2.0.0.alpha0+
Build ID: 36123b42c5d3084f94d068874a0bac2cc849a66e
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: de-DE (de_DE.UTF-8); Calc: threaded
(Build from 3 days ago.)

But I support the synchronization of the identical main menu and context menu entries.
Comment 4 Martin Srebotnjak 2018-08-30 17:28:37 UTC
Why not rewording "Flip or Rotate..." to "Transform..." as submenu title?

"Flip or Rotate..." would suggest we should also have "Copy, Cut or Paste" as submenu title with a 3 command submenu (with commands "Copy", "Cut" and "Paste") etc.
Comment 5 Thomas Lendo 2018-09-08 15:56:06 UTC
(In reply to Martin Srebotnjak from comment #4)
> Why not rewording "Flip or Rotate..." to "Transform..." as submenu title?
> 
> "Flip or Rotate..." would suggest we should also have "Copy, Cut or Paste"
> as submenu title with a 3 command submenu (with commands "Copy", "Cut" and
> "Paste") etc.
As there is a Transformations sub-menu in Draw's draw context menu (see https://colibreoffice.files.wordpress.com/2018/08/contextmenudraw.png?w=1100), Transform is not usable.

If flip and rotate go into a combined sub-menu, then 'Vertically' and 'Horizontally' should be renamed to 'Flip vertically' and 'Flip horizontally'. Positive side effect: the commands will be more descriptive in the Customize dialog.
Comment 6 Commit Notification 2018-10-28 13:53:09 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/d86778573a1ef207748cf8a6ca67eaef5cf04b02%5E%21

tdf#119410 Menubar sw: combine mirror and rotate

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 BogdanB 2018-11-19 09:18:02 UTC
They are combined in Menubar. It is ok.

But as a note in the context menu they are separate.

Verified on:
Version: 6.2.0.0.beta1
Build ID: d1b41307be3f8c19fe6f1938cf056e7ff1eb1d18
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded
Comment 8 Xisco Faulí 2018-11-19 09:24:37 UTC
(In reply to BogdanB from comment #7)
> They are combined in Menubar. It is ok.
> 
> But as a note in the context menu they are separate.

@Andreas, should they be combined in the context menu as well ?
Comment 9 andreas_k 2018-11-19 09:33:43 UTC
(In reply to Xisco Faulí from comment #8)
> (In reply to BogdanB from comment #7)
> > They are combined in Menubar. It is ok.
> > 
> > But as a note in the context menu they are separate.
> 
> @Andreas, should they be combined in the context menu as well ?

already done, bug fixed.
Comment 10 BogdanB 2018-11-19 09:44:56 UTC
Created attachment 146739 [details]
screenshot

(In reply to andreas_k from comment #9)
> (In reply to Xisco Faulí from comment #8)
> > (In reply to BogdanB from comment #7)
> > > They are combined in Menubar. It is ok.
> > > 
> > > But as a note in the context menu they are separate.
> > 
> > @Andreas, should they be combined in the context menu as well ?
> 
> already done, bug fixed.

For me in 6.2beta1 Rotate is up in the contex menu, and Flip is down there in the context menu, separate. See the screenshot.
Comment 11 andreas_k 2018-11-19 09:48:20 UTC
that's true, the flip/rotate stuff is ordinary the last one in the align, ... section like you see in your screenshot. rotate is there cause it's the troggle action. I thought to move mirror to the top group, but in the other context menues it's down and so you have here an separation.